Skip to content
Browse files

Don't remove CLHM dependency from grails-web; instead add it to grail…

…s-core besides grails-web
  • Loading branch information...
1 parent 08d543b commit cb4eda191d9b9b5b8bf2d3bb99f3c882ccb89d13 @lhotari lhotari committed May 16, 2012
Showing with 6 additions and 4 deletions.
  1. +0 −4 grails-bootstrap/build.gradle
  2. +3 −0 grails-core/build.gradle
  3. +3 −0 grails-web/build.gradle
View
4 grails-bootstrap/build.gradle
@@ -25,10 +25,6 @@ dependencies {
}
}
- compile( "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:${concurrentlinkedhashmapVersion}" ) {
- exclude group: 'commons-logging', module:'commons-logging'
- }
-
// These 3 are required by UAA but not Grails (non OSGI version of excludes above)
compile 'com.google.protobuf:protobuf-java:2.3.0',
'com.googlecode.json-simple:json-simple:1.1',
View
3 grails-core/build.gradle
@@ -8,6 +8,9 @@ dependencies {
exclude group: 'commons-logging', module:'commons-logging'
exclude group: 'commons-beanutils', module:'commons-beanutils'
}
+ compile( "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:${concurrentlinkedhashmapVersion}" ) {
+ exclude group: 'commons-logging', module:'commons-logging'
+ }
compile("org.springframework:spring-aop:${springVersion}") {
exclude group: 'commons-logging', module:'commons-logging'
}
View
3 grails-web/build.gradle
@@ -18,6 +18,9 @@ dependencies {
compile "commons-io:commons-io:${commonsIOVersion}"
compile "commons-lang:commons-lang:$commonsLangVersion"
+ compile( "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:${concurrentlinkedhashmapVersion}" ) {
+ exclude group: 'commons-logging', module:'commons-logging'
+ }
compile 'opensymphony:sitemesh:2.4'
compile "org.springframework:spring-webmvc:${springVersion}"

0 comments on commit cb4eda1

Please sign in to comment.
Something went wrong with that request. Please try again.